Summary:	Program to snoop on a TTY through another
Summary(pl.UTF-8):	Program służący do kontrolowania jednej konsoli za pomocą innej
Name:		ttysnoop
Version:	0.12c
Release:	13
License:	distributable
Group:		Applications/Terminal
Source0:	ftp://sunsite.unc.edu/pub/Linux/utils/terminal/%{name}-%{version}.tar.gz
# Source0-md5:	85ba8fcac7b1a3a103fe632eef26a92d
Patch0:		%{name}-%{version}-glibc.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The package allows you to snoop on login tty's through another
tty-device or pseudo-tty. The snoop-tty becomes a 'clone' of the
original tty, redirecting both input and output from/to it.

%description -l pl.UTF-8
Pakiet ten pozwala na podglądanie i kontrolowanie loginowych tty
poprzez inne urządzenie tego typu lub pseudo-tty. Urządzenie
kontrolujące staje się klonem pierwotnego tty, przekierowując strumień
wejścia/wyjścia do niego.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_sbindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT%{_var}/spool/%{name}

install ttysnoop{,s}	$RPM_BUILD_ROOT%{_sbindir}
install ttysnoop.8	$RPM_BUILD_ROOT%{_mandir}/man8
echo ".so ttysnoop.8" > $RPM_BUILD_ROOT%{_mandir}/man8/ttysnoops.8
install snooptab.dist	$RPM_BUILD_ROOT%{_sysconfdir}/snooptab

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/snooptab
%attr(755,root,root) %{_sbindir}/*
%attr(700,root,root) %dir %{_var}/spool/%{name}
%{_mandir}/man8/*
%changelog
* Wed Feb 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ttysnoop.git;a=log;h=master

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> e39e8ed
- Release 13 (by relup.sh)

* Mon Aug 18 2008 Adam Gołębiowski <adamg@pld-linux.org> 3658b23
- release 12

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c1ed40f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e8972c3
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> 605275b
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Fri Jul 28 2006 darekr <darekr@pld-linux.org> 6ccf4a9
- pass CC

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> acb02db
- adapterized (sorted %verify attrs)

* Thu Nov 25 2004 Marcin Gajda <m.gajda@functional-software.com> 0d843f2
- typos

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 15094d2
- spelling fixes, unifications

* Mon Sep 20 2004 havner <havner@pld-linux.org> 2fb84c3
- [mass commit] rel up for amd64 rebuild

* Sat Nov 29 2003 undefine <undefine@pld-linux.org> 4084706
- release 10 to rebuild with ac

* Tue Aug 26 2003 Jakub Bogusz <qboosh@pld-linux.org> bafcdfd
- no // in paths, other cosmetics

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 2b8215a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 3f1356e
- massive attack s/pld.org.pl/pld-linux.org/

* Sun Dec 01 2002 juandon <witekfl@pld-linux.org> 7248695
- new %%doc

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 9818596
- adapterized.

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 577e923
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> d03eef3
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Fri Dec 07 2001 kloczek <kloczek@pld-linux.org> c9a325a
- release 9.

* Fri Nov 23 2001 Jakub Bogusz <qboosh@pld-linux.org> f7b7b51
- s/Copyright/License/

